Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Interface ConcurrentMap

All Superinterfaces:
  java.util.Map

Deprecated. as of Spring 3.0, since standard `ConcurrentMap` is available on Java 5+ anyway

    @Deprecated
    public interface ConcurrentMap

extends java.util.Map

Common interface for a concurrent Map, as exposed by `CollectionFactory.createConcurrentMap(int)`. Mirrors `ConcurrentMap`, allowing to be backed by a JDK ConcurrentHashMap as well as a backport-concurrent ConcurrentHashMap.

Check out the `ConcurrentMap javadoc` for details on the interface's methods.

Since:
  2.5
Author:
  Juergen Hoeller

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`java.lang.Object` | `putIfAbsent(java.lang.Object key, java.lang.Object value)` Deprecated.
`boolean` | `remove(java.lang.Object key, java.lang.Object value)` Deprecated.
`java.lang.Object` | `replace(java.lang.Object key, java.lang.Object value)` Deprecated.
`boolean` | `replace(java.lang.Object key, java.lang.Object oldValue, java.lang.Object newValue)` Deprecated.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### putIfAbsent

    java.lang.Object putIfAbsent(java.lang.Object key,
                                 java.lang.Object value)

  Deprecated.

### remove

    boolean remove(java.lang.Object key,
                   java.lang.Object value)

  Deprecated.

### replace

    boolean replace(java.lang.Object key,
                    java.lang.Object oldValue,
                    java.lang.Object newValue)

  Deprecated.

### replace

    java.lang.Object replace(java.lang.Object key,
                             java.lang.Object value)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD